{% extends 'app/base.html' %}

{% load widget_tweaks %}

{% block content %}
<h1 class="mb-5 mt-5">{{ job.title }}</h1>
<h4>{{ job.description }}</h4>
<div class="container">
  <div class="row">
    <div class="col-md-8 mt-4">
      <p class="mt-4 h5">Job details:</p>
      <p>
        <ul>
          <!--source_lang, target_lang, field, budget, owner, text, -->
          <li>From {{ job.get_source_lang_display }} to {{ job.get_target_lang_display }}</li>
          <li>Field: {{ job.get_field_display }}</li>
          <li>Budget: {{ job.budget }}</li>
          <li>Owner: {{ job.owner }}</li>
        </ul>
      </p>
    </div>
    <div class="col-md-4 mt-5">
      {% if my_bid %}
        <h3>You already bid on this job.</h3>
        <p class="ms-1">Your bid: <strong>{{ my_bid.price }}</strong></p>
      {% elif job.user == user %}
        <h3>This is your job.</h3>
      {% else %}
        <h3>Enter your bid:</h3>
        <form action="{% url 'app:bid' job.id %}" method="post" >
          {% csrf_token %}
          <div class="form-group">
            <label for="{{ form.price.id_for_label }}">Price</label>
            {{ form.price|add_class:'form-control' }}

            {% for error in form.price.errors %}
              <span class="help-block">{{ error }}</span>
            {% endfor %}
          </div>
          <button type="submit" class="btn custom-btn mt-4">Submit</button>
        </form>
      {% endif %}
    </div>
  </div>
</div>
<p class="with-whitespace mb-4">
  <strong class="h5">Text:</strong></br>
  {{ job.text }}
</p>

{% endblock content %}
